Themes
These API endpoints are related to user-submitted Discord profile themes
Gets every theme, paginated, newest first
page?stringThe page number
owner?stringFilter to themes submitted by this user ID. Omit to return every submitter's.
Success
application/json- response
count?integer0 <= value <= 18446744073709552000per_page?integer0 <= value <= 18446744073709552000results?array<>curl -X GET 'https://spider.omniplex.gg/themes/@all'{ "count": 0, "per_page": 0, "results": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "name": "string", "owner": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "primary_color": "string", "secondary_color": "string", "tags": [ "string" ] } ]}Gets a single theme by its own ID, with its owner resolved
id*stringThe theme's ID
Success
application/json- response
created_at?stringdate-timeid?stringname?stringowner?The user who submitted the theme
primary_color?stringsecondary_color?stringtags?array<string>curl -X GET 'https://spider.omniplex.gg/themes/string'{ "created_at": "2019-08-24T14:15:22Z", "id": "string", "name": "string", "owner": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "primary_color": "string", "secondary_color": "string", "tags": [ "string" ]}Submits a Discord profile theme -- a name plus two hex colors and up to 3 categories
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe user's ID
application/json- body
name?stringprimary_color?stringsecondary_color?stringtags?array<>"Green""Blue""Purple""Pink""Red""Orange""Dark""Light""Gradient""Aesthetic""Minimal""Vibrant"Success
application/json- response
id?stringThe created theme's ID
curl -X PUT 'https://spider.omniplex.gg/users/string/themes' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string"}Deletes a theme. You must be the owner to delete it. Returns 204 on success
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
uid*stringThe user's ID
id*stringThe theme's ID
Success
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X DELETE 'https://spider.omniplex.gg/users/string/themes/string'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}